POST api/StickerDetail/upsert?stickerID={stickerID}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
stickerID

globally unique identifier

Required

Body Parameters

Collection of StickerDetailViewModel
NameDescriptionTypeAdditional information
stickerField

StickerFieldViewModel

None.

active

boolean

Required

backgroundColor

string

Required

Max length: 6

bold

boolean

Required

fontSize

integer

Required

foregroundColor

string

Required

Max length: 6

ID

globally unique identifier

None.

italic

boolean

Required

staticValue

string

Max length: 20

sticker

StickerViewModel

None.

sticker_ID

globally unique identifier

Required

stickerField_ID

globally unique identifier

Required

stringLength

integer

None.

stringStart

integer

None.

zoneNumber

integer

Required

Request Formats

application/json, text/json

Sample:
[
  {
    "stickerField": {
      "previewValue": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "2db7dda1-0b15-43eb-ad14-e59c036cb09c",
      "isProductionSite": true,
      "isStatic": true,
      "separator": "sample string 6",
      "stickerType_ID": "60e4df69-11f8-4ab2-b0eb-5ea39cb968d6",
      "technicalDescription": "sample string 8"
    },
    "active": true,
    "backgroundColor": "sample string 2",
    "bold": true,
    "fontSize": 4,
    "foregroundColor": "sample string 5",
    "id": "0e7bd3ba-f329-403a-ba34-8846300901e0",
    "italic": true,
    "staticValue": "sample string 8",
    "sticker": {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "190be43f-0d6a-406c-96a4-8fa2284e2a74",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "603d1ef9-c24d-425e-8549-3c47ec0588bf",
          "contractItem_ID": "9064a794-8fef-4477-8fcb-5f5f1deca486",
          "departement_ID": "8ac00de8-698f-41ef-ae32-717cae67cd4f",
          "departmentItem_ID": "b69863d7-b76b-486b-b18e-3ca9e2250ba3",
          "iD": "370cdb62-e5c5-4d7a-850b-bd54763c35b7",
          "site_ID": "fb79edda-837f-4533-82a7-9063b7f5acc2",
          "siteCustomer_ID": "d17164b3-3096-4f97-b313-9213fc0c8ce8",
          "sticker_ID": "678a8db5-5cfc-4652-a518-45d5dc5297f2",
          "garment_ID": "5e0c0324-a665-4b66-8372-db0a88d90323"
        },
        {
          "active": true,
          "contract_ID": "603d1ef9-c24d-425e-8549-3c47ec0588bf",
          "contractItem_ID": "9064a794-8fef-4477-8fcb-5f5f1deca486",
          "departement_ID": "8ac00de8-698f-41ef-ae32-717cae67cd4f",
          "departmentItem_ID": "b69863d7-b76b-486b-b18e-3ca9e2250ba3",
          "iD": "370cdb62-e5c5-4d7a-850b-bd54763c35b7",
          "site_ID": "fb79edda-837f-4533-82a7-9063b7f5acc2",
          "siteCustomer_ID": "d17164b3-3096-4f97-b313-9213fc0c8ce8",
          "sticker_ID": "678a8db5-5cfc-4652-a518-45d5dc5297f2",
          "garment_ID": "5e0c0324-a665-4b66-8372-db0a88d90323"
        }
      ],
      "details": [],
      "active": true,
      "code": "sample string 2",
      "id": "219c332d-431e-45d0-89c8-2d0454f162af",
      "stickerType_ID": "f5af4c4a-c693-41c7-bbed-ecc0e5e65c3a",
      "stickerRelation_IDs": [
        "36765f6b-b918-4614-b2e2-593e906471da",
        "b5415733-7f7f-43b6-b734-9633b9e12d24"
      ],
      "site_ID": "97c1b384-bb7f-458d-923b-6eb9db7e531d"
    },
    "sticker_ID": "17a62498-e01d-48e9-9bd7-5cee3f0973f6",
    "stickerField_ID": "9ac8f383-47bd-4aef-be8a-84a4a4566773",
    "stringLength": 1,
    "stringStart": 1,
    "zoneNumber": 11
  },
  {
    "stickerField": {
      "previewValue": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "2db7dda1-0b15-43eb-ad14-e59c036cb09c",
      "isProductionSite": true,
      "isStatic": true,
      "separator": "sample string 6",
      "stickerType_ID": "60e4df69-11f8-4ab2-b0eb-5ea39cb968d6",
      "technicalDescription": "sample string 8"
    },
    "active": true,
    "backgroundColor": "sample string 2",
    "bold": true,
    "fontSize": 4,
    "foregroundColor": "sample string 5",
    "id": "0e7bd3ba-f329-403a-ba34-8846300901e0",
    "italic": true,
    "staticValue": "sample string 8",
    "sticker": {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "190be43f-0d6a-406c-96a4-8fa2284e2a74",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "603d1ef9-c24d-425e-8549-3c47ec0588bf",
          "contractItem_ID": "9064a794-8fef-4477-8fcb-5f5f1deca486",
          "departement_ID": "8ac00de8-698f-41ef-ae32-717cae67cd4f",
          "departmentItem_ID": "b69863d7-b76b-486b-b18e-3ca9e2250ba3",
          "iD": "370cdb62-e5c5-4d7a-850b-bd54763c35b7",
          "site_ID": "fb79edda-837f-4533-82a7-9063b7f5acc2",
          "siteCustomer_ID": "d17164b3-3096-4f97-b313-9213fc0c8ce8",
          "sticker_ID": "678a8db5-5cfc-4652-a518-45d5dc5297f2",
          "garment_ID": "5e0c0324-a665-4b66-8372-db0a88d90323"
        },
        {
          "active": true,
          "contract_ID": "603d1ef9-c24d-425e-8549-3c47ec0588bf",
          "contractItem_ID": "9064a794-8fef-4477-8fcb-5f5f1deca486",
          "departement_ID": "8ac00de8-698f-41ef-ae32-717cae67cd4f",
          "departmentItem_ID": "b69863d7-b76b-486b-b18e-3ca9e2250ba3",
          "iD": "370cdb62-e5c5-4d7a-850b-bd54763c35b7",
          "site_ID": "fb79edda-837f-4533-82a7-9063b7f5acc2",
          "siteCustomer_ID": "d17164b3-3096-4f97-b313-9213fc0c8ce8",
          "sticker_ID": "678a8db5-5cfc-4652-a518-45d5dc5297f2",
          "garment_ID": "5e0c0324-a665-4b66-8372-db0a88d90323"
        }
      ],
      "details": [],
      "active": true,
      "code": "sample string 2",
      "id": "219c332d-431e-45d0-89c8-2d0454f162af",
      "stickerType_ID": "f5af4c4a-c693-41c7-bbed-ecc0e5e65c3a",
      "stickerRelation_IDs": [
        "36765f6b-b918-4614-b2e2-593e906471da",
        "b5415733-7f7f-43b6-b734-9633b9e12d24"
      ],
      "site_ID": "97c1b384-bb7f-458d-923b-6eb9db7e531d"
    },
    "sticker_ID": "17a62498-e01d-48e9-9bd7-5cee3f0973f6",
    "stickerField_ID": "9ac8f383-47bd-4aef-be8a-84a4a4566773",
    "stringLength": 1,
    "stringStart": 1,
    "zoneNumber": 11
  }
]

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

None.